Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::ModbusValueEncodingBit Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::ModbusValueEncodingBit:

## Additional Inherited Members

Public Attributes inherited from peripheral::GatewaySensorManager::ValueEncoding
string | encodingId
| encoding type id
EncodingType | type
| value coding type
boolean | invertState
| invert when interpreting as state
vector< InterpretationRule > | interpretationRules
| error/value interpretation rules
int | minAccessInterval
| minimum time interval between two read accesses in seconds

## Detailed Description

Definition at line 506 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl